## Package org.exist.security.xacml

Class Summary
AccessContext: This class represents the context from which an access is made.
ExistPDP: This class is responsible for creating the XACML Policy Decision Point (PDP) for a database instance.
ExistPolicyModule: This class finds Policy and PolicySet documents located in the /db/system/policies collection.
RequestHelper: This class provides methods for creating an XACML request.
UserAttributeModule: This class looks up attributes for a Subject with a subject-category of access-subject.
XACMLConstants: This class provides constants for use in creating XACML requests.
XACMLSource: This class represents the source of some content.
XACMLUtil: This class contains utility methods for working with XACML in eXist.

Exception Summary
NullAccessContextException

Copyright (C) Wolfgang Meier. All rights reserved.